Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Kévin Le Gouguec <[email-masked]>
Date: Wed, 20 Apr 2022 08:14:18 +0200

Eli Zaretskii <[email-masked]> writes:

> Now the only issue that remains, AFAICT, is the different key bindings
> for outline-related commands in NEWES, caused by the fact that
> emacs-news-mode activates outline-minor-mode.  Could we perhaps solve
> this by having emacs-news-mode be derived from outline-mode, not from
> text-mode?  If not, why not?

I second that request.

outline-minor-mode's extra "@" doesn't bother me that much (because
repeat-mode makes it easy to chain commands), but it'd still be nice if
outline-mode's shorter bindings could remain ("@" is a bit awkward on
AZERTY).

The only issue I see is that it entails rebinding
emacs-news-find-heading and emacs-news-count-untagged-entries?

(I've only looked at navigation commands; didn't check
section-visibility commands because I mindlessly spam TAB)